import request from "/@/utils/request"

/**
 * 根据分页查询参数获取列表数据。
 * @param {Object} [query] - 查询参数。
 * @returns {Promise} 请求的 Promise 分页对象。
 */
export function fetchList(query?: Object) {
  return request({
    url: '/stuwork/classcheckdaily/page',
    method: 'get',
    params: query
  })
}

/**
 * 添加一个新对象。
 * @param {Object} [obj] - 要添加的对象。
 * @returns {Promise} 请求的 Promise 对象 （true/false）。
 */
export function addObj(obj?: Object) {
  return request({
    url: '/stuwork/classcheckdaily',
    method: 'post',
    data: obj
  })
}

/**
 * 根据查询参数获取对象详情。
 * @param {Object} [obj] - 查询参数，包含 id。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function getObj(obj?: Object) {
  return request({
    url: '/stuwork/classcheckdaily/detail',
    method: 'get',
    params: obj
  })
}

/**
 * 根据 ID 删除对象。
 * @param {Object} [ids] - 要删除的对象 ID 数组。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function delObjs(ids?: Object) {
  return request({
    url: '/stuwork/classcheckdaily/delete',
    method: 'post',
    data: ids
  })
}

/**
 * 导出数据
 * @param {Object} [query] - 查询参数。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function exportData(query?: Object) {
  return request({
    url: '/stuwork/classcheckdaily/exportData',
    method: 'post',
    data: query,
    responseType: 'blob'
  })
}

/**
 * 学期统计
 * @param {Object} [query] - 查询参数，包含 schoolYear 和 schoolTerm。
 * @returns {Promise} 请求的 Promise 对象。
 */
export function getRank(query?: Object) {
  return request({
    url: '/stuwork/classcheckdaily/rank',
    method: 'get',
    params: query
  })
}

